C*********************************************************************
C  THIS IS THE SYSTEM-DEPENDENT PART OF DONLP2. ON AN UNIX-V SYSTEM THIS SHOULD
C  WORK WITHOUT ANY CHANGES .
C
      REAL FUNCTION O8CPU(IDUM)
      IMPLICIT NONE
      INTEGER IDUM
C**** COMPUTES ELAPSED USER TIME (CPU-TIME) OF THE CURRENT RUN
C     IN SECONDS
C     MAY BE REPALCED BY AN OTHER SYSTEM DEPENDENT ROUTINE
C     INTEGER BUF(4),I,IDUM
C     INTEGER TIMES
C     EXTERNAL TIMES
C**** USUALLY IN THE C-LIBRARY
C     REAL INCR
C
C     PS2/70 : 60; HP9000/3XY : 50 ; HP9000/7XY : 100; RS6000 : 100 ;
C     INCR=100.
C**** INCR IS THE NUMBER OF TIME INTERVALS PER SECOND, SYSTEM DEPENDENT
C
C     TIMES FROM THE C-LIBRARY
C     I=TIMES(BUF)
C     O8CPU=BUF(1)/INCR
      O8CPU=0.
      RETURN
      END
C***************************************************************************************
      SUBROUTINE O8TIDA(CHAN)
      IMPLICIT NONE
      INTEGER CHAN
C**** WRITE TIME AND DATE TO SEQUENTIAL ACCESS CHANNEL CHAN
C     INTEGER TP0,CHAN,I,J,K,I1,I2,I3,I4,I5,J1,INCR,YEAR,YEAR0,INCR0
C     INTEGER STATUS ,TP(2),TZP(2),GETTIMEOFDAY
C     CHARACTER*3 CMONTH(12),MON
C     INTEGER MONTH(0:12),MONTH1(0:12)
C     SAVE
C     DATA CMONTH/'JAN','FEB','MAR','APR','MAY','JUN','JUL','AUG',
C    F     'SEP','OCT','NOV','DEC'/
C     DATA MONTH/0,31,59,90,120,151,181,212,243,273,304,334,365/
C     STATUS=GETTIMEOFDAY(TP,TZP)
C     IF ( STATUS .EQ. 0 ) THEN
C     INCR=-1
C     YEAR=1970
C     TP0=0
C     DO 50 J=0,12
C       MONTH1(J)=MONTH(J)
C  50   CONTINUE
C 100   CONTINUE
C     IF ( TP0 .LE. TP(1) ) THEN
C       YEAR0=YEAR
C       INCR0=INCR
C       J=MOD(YEAR,100)
C       K=J/4
C       IF ( K*4 .EQ. J ) INCR=INCR+1
C       TP0=((YEAR+1-1970)*365+INCR)*24*3600
C       YEAR=YEAR+1
C      GOTO 100
C     ENDIF
C     YEAR=YEAR0
C     IF ( INCR .NE. INCR0 ) THEN
C       DO 150 J=2,12
C         MONTH1(J)=MONTH1(J)+1
C 150     CONTINUE
C     ENDIF
C     I=TP(1)-((YEAR0-1970)*365+INCR0)*24*3600
C**** I =NUMBER OF SEC'S SINCE 1.1. 00:00:00 H THIS YEAR
C     J=I/(24*3600)
C****   J = FULL DAY'S SINCE 1.1
C     I1=I-J*24*3600
C**** I1 = SEC'S THIS DAY
C     I1=I1+3600
C*** TIME-ZONE CORRECTION
C     IF ( I1 .GT. 24*3600 ) THEN
C       J=J+1
C       I1=I1-24*3600
C     ENDIF
C     IF ( J .GT. 366 ) THEN
C           WRITE(CHAN,FMT='(40A)')
C    F       'UPDATE TIMDAT-ROUTINE ,IS INVALID '
C           RETURN
C     ENDIF
C     I2=I1/3600
C****  HOURS THIS DAY
C     I3=I1-I2*3600
C     I4=I3/60
C*** I4 = MIN THIS HOUR
C     I5=I3-I4*60
C     DO 200 K=1,12
C       IF ( J .GT. MONTH1(K-1)) J1=K
C 200   CONTINUE
C     MON=CMONTH(J1)
C     J=J-MONTH1(J1-1)
C     WRITE(CHAN,FMT='(1X,I4,''  '',A3,'' '',I3,'' '',I3,''H'',I3,''M''
C    F     ,I3,''S'')' ) YEAR,MON,J,I2,I4,I5
C     ELSE
C     WRITE(CHAN,FMT='(80(''*''))')
C     ENDIF
      RETURN
      END
C
C
C   END OF SYSTEM-DEPENDENT PART OF DONLP2
C************************************************************
