      SUBROUTINE SETUP
      RETURN
      END
      SUBROUTINE EF(X,FX)
      INCLUDE 'O8FUCO.INC'
      DOUBLE PRECISION X(*),FX
      ICF=ICF+1
      FX=-X(1)*(2.5D0*DEXP(-X(1))+0.5D0)
     &   -X(2)*(5.D0*DEXP(-0.5D0*X(2))-2.D0)
      RETURN
      END
      SUBROUTINE EGRADF(X,GRADF)
      INCLUDE 'O8FUCO.INC'
      DOUBLE PRECISION X(*),GRADF(*)
      ICGF=ICGF+1
      GRADF(1)=-(2.5D0*DEXP(-X(1))+0.5D0)
     &   +2.5D0*X(1)*DEXP(-X(1))
      GRADF(2)=-(5.D0*DEXP(-0.5D0*X(2))-2.D0)
     &   +2.5D0*X(2)*DEXP(-0.5D0*X(2))
      RETURN
      END
      SUBROUTINE EH(I,X,HXI)
      INCLUDE 'O8FUCO.INC'
      INTEGER I
      DOUBLE PRECISION X(*),HXI
      RETURN
      END
      SUBROUTINE EGRADH(I,X,GRADHI)
      INCLUDE 'O8FUCO.INC'
      INTEGER I
      DOUBLE PRECISION X(*),GRADHI(*)
      RETURN
      END
      SUBROUTINE EG(I,X,GXI)
      INCLUDE 'O8FUCO.INC'
      INTEGER I
      DOUBLE PRECISION X(*),GXI
      CRES(I+NH)=CRES(I+NH)+1
      IF (I.EQ.1) GXI=5.D0-X(1)**2-0.5*X(1)*X(2)-2.D0*X(2)**3
      IF (I.EQ.2) GXI=X(1)
      IF (I.EQ.3) GXI=X(2)
      RETURN
      END
      SUBROUTINE EGRADG(I,X,GRADGI)
      INCLUDE 'O8FUCO.INC'
      INTEGER I
      DOUBLE PRECISION X(*) ,GRADGI(*)
      CGRES(I+NH)=CGRES(I+NH)+1
      GRADGI(1)=0.D0
      GRADGI(2)=0.D0
      IF (I.EQ.1) THEN
      GRADGI(1)=-2.D0*X(1)-0.5D0*X(2)
      GRADGI(2)=-0.5D0*X(1)-6.D0*X(2)**2
      ENDIF
      IF (I.EQ.2) GRADGI(1)=1.D0
      IF (I.EQ.3) GRADGI(2)=1.D0
      RETURN
      END
      BLOCK DATA
      INCLUDE 'O8BLOC.INC'
      INTEGER I,J
      DATA NAME/'CHEMIE'/
      DATA X(1),X(2)/1.D0,1.D0/
      DATA N/2/ , NH/0/ , NG/3/
      DATA DEL0/1.00D-1/ ,TAU0/0.5D0/ ,TAU/.1D0/
      DATA ((GUNIT(I,J),I=1,3),J=0,3)
     F  /-1,0,0,-1,0,0,-1,0,0,-1,0,0/
      END
      SUBROUTINE SETUP0
      INCLUDE 'O8COMM.INC'
      ANALYT=.TRUE.
      EPSDIF=0.D0
      PROU=10
      MEU=20
      NRESET=4
      SILENT=.FALSE.
      RETURN
      END


